"use strict";
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const dict_cancelDict = require("../../dict/cancelDict.js");
require("../../utils/request.js");
require("../../config/app.js");
require("../../store/user.js");
if (!Array) {
  const _easycom_up_icon2 = common_vendor.resolveComponent("up-icon");
  const _easycom_up_button2 = common_vendor.resolveComponent("up-button");
  const _easycom_up_copy2 = common_vendor.resolveComponent("up-copy");
  const _easycom_up_popup2 = common_vendor.resolveComponent("up-popup");
  (_easycom_up_icon2 + _easycom_up_button2 + _easycom_up_copy2 + _easycom_up_popup2)();
}
const _easycom_up_icon = () => "../../uni_modules/uview-plus/components/u-icon/u-icon.js";
const _easycom_up_button = () => "../../uni_modules/uview-plus/components/u-button/u-button.js";
const _easycom_up_copy = () => "../../uni_modules/uview-plus/components/u-copy/u-copy.js";
const _easycom_up_popup = () => "../../uni_modules/uview-plus/components/u-popup/u-popup.js";
if (!Math) {
  (_easycom_up_icon + _easycom_up_button + _easycom_up_copy + _easycom_up_popup + addressPopup + modal)();
}
const addressPopup = () => "../../components/addressPopup.js";
const modal = () => "../../components/modal.js";
const _sfc_main = {
  __name: "detail",
  setup(__props) {
    const showCancel = common_vendor.ref(false);
    const showAddress = common_vendor.ref(false);
    const cancelType = common_vendor.ref(-1);
    const submitCancel = () => {
      showCancel.value = false;
      console.log(cancelType.value);
      common_vendor.index.showToast({
        title: "取消成功",
        icon: "none"
      });
    };
    const changeAddress = (e) => {
      showAddress.value = false;
      console.log(e);
    };
    common_vendor.ref({});
    common_vendor.onLoad((option) => {
      common_vendor.index.setNavigationBarTitle({
        title: option.type == 1 ? "等待付款" : "订单详情"
      });
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          name: "map"
        }),
        b: common_vendor.o(($event) => showAddress.value = true),
        c: common_vendor.p({
          size: "small",
          shape: "circle",
          color: "#f6f6f6",
          customStyle: {
            color: "#666666"
          }
        }),
        d: common_vendor.p({
          content: "wxo13546486484784555"
        }),
        e: common_vendor.o(($event) => showCancel.value = true),
        f: common_vendor.p({
          color: "#20B128",
          shape: "circle"
        }),
        g: common_vendor.f(common_vendor.unref(dict_cancelDict.list), (item, index, i0) => {
          return common_vendor.e({
            a: common_vendor.t(item.name),
            b: cancelType.value == item.value
          }, cancelType.value == item.value ? {
            c: common_assets._imports_0$1
          } : {
            d: common_assets._imports_1$1
          }, {
            e: item.value,
            f: common_vendor.o(($event) => cancelType.value = item.value, item.value)
          });
        }),
        h: common_vendor.o(submitCancel),
        i: common_vendor.p({
          color: "#20B128",
          shape: "circle"
        }),
        j: common_vendor.o(($event) => showCancel.value = false),
        k: common_vendor.p({
          show: showCancel.value,
          closeable: true,
          round: "10"
        }),
        l: common_vendor.o(($event) => showAddress.value = false),
        m: common_vendor.o(changeAddress),
        n: common_vendor.p({
          show: showAddress.value
        }),
        o: common_vendor.p({
          show: false,
          content: "您还没有添加收货地址，请点击添加"
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "D:/里海数字乡村/purchase-let/pagesOrder/detail/detail.vue"]]);
wx.createPage(MiniProgramPage);
