"use strict";
const common_vendor = require("../common/vendor.js");
const useUserStore = common_vendor.defineStore("user", () => {
  const userInfo = common_vendor.ref(common_vendor.index.getStorageSync("userInfo") || {});
  userInfo.value = {
    "nickname": "哈哈",
    "mobile": "17685151643",
    "avatar": "https://lihaiim.oss-cn-chengdu.aliyuncs.com/image/admin/avatar.png",
    "token": "a8670fe7f1014c0f5125f6ca0c3b9cb3"
  };
  const token = common_vendor.ref(common_vendor.index.getStorageSync("token") || "");
  const setToken = (data) => {
    token.value = data;
    common_vendor.index.setStorageSync("token", data);
  };
  token.value = "a8670fe7f1014c0f5125f6ca0c3b9cb3";
  return { userInfo, setToken, token, setToken };
});
exports.useUserStore = useUserStore;
